Package jxl.write

# Class WritableFont

java.lang.Object
jxl.biff.RecordData
jxl.biff.WritableRecordData
jxl.biff.FontRecord
jxl.write.biff.WritableFontRecord
jxl.write.WritableFont

All Implemented Interfaces:
  `jxl.biff.ByteData`, `Font`

Direct Known Subclasses:
  `Font`

public class WritableFont extends jxl.write.biff.WritableFontRecord
A class which is instantiated when the user application wishes to specify the font for a particular cell

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`WritableFont.FontName`
Static inner class used for classifying the font names

## Field Summary

Fields
Modifier and Type
Field
Description
`static final WritableFont.FontName`
`ARIAL`
Objects created with this font name will be rendered within Excel as ARIAL fonts
`static final jxl.write.WritableFont.BoldStyle`
`BOLD`
Indicates that this font should be presented in a BOLD style
`static final WritableFont.FontName`
`COURIER`
Objects created with this font name will be rendered within Excel as COURIER fonts
`static final int`
`DEFAULT_POINT_SIZE`
The default point size for all Fonts
`static final jxl.write.WritableFont.BoldStyle`
`NO_BOLD`
Indicates that this font should not be presented as bold
`static final WritableFont.FontName`
`TAHOMA`
Objects created with this font name will be rendered within Excel as TAHOMA fonts
`static final WritableFont.FontName`
`TIMES`
Objects created with this font name will be rendered within Excel as TIMES fonts

### Fields inherited from class jxl.biff.FontRecord

`biff7`

## Constructor Summary

Constructors
Constructor
Description
`WritableFont(Font f)`
Publicly available copy constructor
`WritableFont(WritableFont.FontName fn)`
Creates a default font, vanilla font of the specified face and with default point size.
`WritableFont(WritableFont.FontName fn, int ps)`
Constructs of font of the specified face and of size given by the specified point size
`WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs)`
Creates a font of the specified face, point size and bold style
`WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean italic)`
Creates a font of the specified face, point size, bold weight and italicised option.
`WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us)`
Creates a font of the specified face, point size, bold weight, italicisation and underline style
`WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c)`
Creates a font of the specified face, point size, bold style, italicisation, underline style and colour
`WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c, ScriptStyle ss)`
Creates a font of the specified face, point size, bold style, italicisation, underline style, colour, and script style (superscript/subscript)

## Method Summary

Modifier and Type
Method
Description
`static WritableFont.FontName`
`createFont(String fontName)`
Factory method which creates the specified font name.
`boolean`
`isStruckout()`
Accessor for the strike-out flag
`void`
`setBoldStyle(jxl.write.WritableFont.BoldStyle boldStyle)`
Sets the bold style for this font, if the font hasn't been initialized
`void`
`setColour(Colour colour)`
Sets the colour for this font, if the font hasn't been initialized
`void`
`setItalic(boolean italic)`
Sets the italic indicator for this font, if the font hasn't been initialized
`void`
`setPointSize(int pointSize)`
Sets the point size for this font, if the font hasn't been initialized
`void`
`setScriptStyle(ScriptStyle scriptStyle)`
Sets the script style (eg.
`void`
`setStruckout(boolean struckout)`
Sets Accessor for the strike-out flag
`void`
`setUnderlineStyle(UnderlineStyle us)`
Sets the underline style for this font, if the font hasn't been initialized

### Methods inherited from class jxl.biff.FontRecord

`equals, getBoldWeight, getColour, getData, getFontIndex, getName, getPointSize, getScriptStyle, getUnderlineStyle, hashCode, initialize, isInitialized, isItalic, uninitialize`

### Methods inherited from class jxl.biff.WritableRecordData

`getBytes`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ARIAL

public static final WritableFont.FontName ARIAL
Objects created with this font name will be rendered within Excel as ARIAL fonts

### TIMES

public static final WritableFont.FontName TIMES
Objects created with this font name will be rendered within Excel as TIMES fonts

### COURIER

public static final WritableFont.FontName COURIER
Objects created with this font name will be rendered within Excel as COURIER fonts

### TAHOMA

public static final WritableFont.FontName TAHOMA
Objects created with this font name will be rendered within Excel as TAHOMA fonts

### NO_BOLD

public static final jxl.write.WritableFont.BoldStyle NO_BOLD
Indicates that this font should not be presented as bold

### BOLD

public static final jxl.write.WritableFont.BoldStyle BOLD
Indicates that this font should be presented in a BOLD style

### DEFAULT_POINT_SIZE

public static final int DEFAULT_POINT_SIZE
The default point size for all Fonts

See Also:
  - Constant Field Values

## Constructor Details

### WritableFont

public WritableFont(WritableFont.FontName fn)
Creates a default font, vanilla font of the specified face and with default point size.

Parameters:
  `fn` - the font name

### WritableFont

public WritableFont(Font f)
Publicly available copy constructor

Parameters:
  `f` - the font to copy

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps)
Constructs of font of the specified face and of size given by the specified point size

Parameters:
  `fn` - the font name
  `ps` - the point size

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs)
Creates a font of the specified face, point size and bold style

Parameters:
  `fn` - the font name
  `ps` - the point size
  `bs` - the bold style

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean italic)
Creates a font of the specified face, point size, bold weight and italicised option.

Parameters:
  `fn` - the font name
  `ps` - the point size
  `bs` - the bold style
  `italic` - italic flag

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us)
Creates a font of the specified face, point size, bold weight, italicisation and underline style

Parameters:
  `fn` - the font name
  `ps` - the point size
  `bs` - the bold style
  `it` - italic flag
  `us` - the underline style

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c)
Creates a font of the specified face, point size, bold style, italicisation, underline style and colour

Parameters:
  `fn` - the font name
  `ps` - the point size
  `bs` - the bold style
  `it` - italic flag
  `us` - the underline style
  `c` - the colour

### WritableFont

public WritableFont(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c, ScriptStyle ss)
Creates a font of the specified face, point size, bold style, italicisation, underline style, colour, and script style (superscript/subscript)

Parameters:
  `fn` - the font name
  `ps` - the point size
  `bs` - the bold style
  `it` - the italic flag
  `us` - the underline style
  `c` - the colour
  `ss` - the script style

## Method Details

### setPointSize

public void setPointSize(int pointSize) throws WriteException
Sets the point size for this font, if the font hasn't been initialized

Parameters:
  `pointSize` - the point size
Throws:
  `WriteException`

### setBoldStyle

public void setBoldStyle(jxl.write.WritableFont.BoldStyle boldStyle) throws WriteException
Sets the bold style for this font, if the font hasn't been initialized

Parameters:
  `boldStyle` - the bold style
Throws:
  `WriteException`

### setItalic

public void setItalic(boolean italic) throws WriteException
Sets the italic indicator for this font, if the font hasn't been initialized

Parameters:
  `italic` - the italic flag
Throws:
  `WriteException`

### setUnderlineStyle

public void setUnderlineStyle(UnderlineStyle us) throws WriteException
Sets the underline style for this font, if the font hasn't been initialized

Parameters:
  `us` - the underline style
Throws:
  `WriteException`

### setColour

public void setColour(Colour colour) throws WriteException
Sets the colour for this font, if the font hasn't been initialized

Parameters:
  `colour` - the colour
Throws:
  `WriteException`

### setScriptStyle

public void setScriptStyle(ScriptStyle scriptStyle) throws WriteException
Sets the script style (eg. superscript, subscript) for this font, if the font hasn't been initialized

Parameters:
  `scriptStyle` - the colour
Throws:
  `WriteException`

### isStruckout

public boolean isStruckout()
Accessor for the strike-out flag

Specified by:
  `isStruckout` in interface `Font`
Overrides:
  `isStruckout` in class `jxl.biff.FontRecord`
Returns:
  the strike-out flag

### setStruckout

public void setStruckout(boolean struckout) throws WriteException
Sets Accessor for the strike-out flag

Parameters:
  `struckout` - TRUE if this is a struckout font
Throws:
  `WriteException`

### createFont

public static WritableFont.FontName createFont(String fontName)
Factory method which creates the specified font name. This method should be used with care, since the string used to create the font name must be recognized by Excel's internal processing

Parameters:
  `fontName` - the name of the Excel font
Returns:
  the font name